## python-opentracing 2.3.0

=== debian/changelog ===
python-opentracing (2.3.0-2) unstable; urgency=medium

  * Team upload
  * Source-only upload to migrate this to testing.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 04 Apr 2020 01:49:53 +0530

python-opentracing (2.3.0-1) unstable; urgency=medium

  * New upstream release 2.3.0.

 -- Fabrice BAUZAC <noon@mykolab.com>  Sun, 08 Mar 2020 01:08:49 +0100

python-opentracing (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #942069)

 -- Fabrice BAUZAC <noon@mykolab.com>  Wed, 12 Feb 2020 23:12:58 +0100
