=== debian/control ===
Source: python-opentracing
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fabrice BAUZAC <noon@mykolab.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (=12),
               dh-python,
               python3-all,
               python3-doc,
               python3-docutils,
               python3-gevent,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tornado,
               texinfo
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-opentracing
Vcs-Git: https://salsa.debian.org/python-team/modules/python-opentracing.git
Homepage: https://github.com/opentracing/opentracing-python
Rules-Requires-Root: no

Package: python3-opentracing
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-opentracing-doc
Description: opentracing interface for Python
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the Python3 libraries.

Package: python-opentracing-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: opentracing interface for Python - documentation
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the documentation.
