## python-opentracing 2.4.0

=== debian/changelog ===
python-opentracing (2.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Thomas Goirand ]
  * Fix FTBFS (Closes: #1026729):
    - Add use-mock-form-unittest.patch.
    - Add remove-the-use-of-six.patch.
    - Add remove-asyncio-coroutine-decorator.patch.
  * Ran wrap-and-sort -bastk.
  * Add myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 16:21:04 +0200

python-opentracing (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Fabrice BAUZAC ]
  * Switch to debhelper 13.
  * New upstream version 2.4.0.
  * Disable the tests of the gevent scope manager until #974051 is
    fixed.  (Closes: 973162)

 -- Fabrice BAUZAC <noon@mykolab.com>  Sun, 22 Nov 2020 16:32:44 +0100
