=== debian/control ===
Source: python-opentracing
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Fabrice BAUZAC <noon@mykolab.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 python3-doc,
 python3-docutils,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 texinfo,
Build-Depends-Indep:
 python3-gevent,
 python3-pytest,
 python3-tornado,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opentracing
Vcs-Git: https://salsa.debian.org/python-team/packages/python-opentracing.git
Homepage: https://github.com/opentracing/opentracing-python
Rules-Requires-Root: no

Package: python3-opentracing
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentracing-doc,
Description: opentracing interface for Python
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the Python3 libraries.

Package: python-opentracing-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: opentracing interface for Python - documentation
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the documentation.
