=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%opentracing-python-$1.tar.gz%" \
    https://github.com/opentracing/opentracing-python/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
